---
title: "Pages an order's refunds."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › order

`GET /v1/stores/{store}/orders/{order}/refunds`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`listOrderRefunds.path.store`; string, required) — A hostname of the store.
- `order` (`listOrderRefunds.path.order`; string, required)
  - minLength 1

## Query parameters

- `filter` (`listOrderRefunds.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listOrderRefunds.query.sort`; string, optional)
  - one of `"occurred"`
- `direction` (`listOrderRefunds.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listOrderRefunds.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listOrderRefunds.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listOrderRefunds.query.count`; boolean, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/orders/<order>/refunds' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/orders/<order>/refunds';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/orders/<order>/refunds"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages an order's refunds.

#### Example

```json
{
  "total": 0,
  "items": [
    {
      "id": "string",
      "order_id": "string",
      "amount": 0,
      "currency": "string",
      "reason": "string",
      "occurred_at": "string"
    }
  ],
  "cursor": "string",
  "currency": "string",
  "exponent": 0
}
```

- `items` (`listOrderRefunds.response.200.items`; array<object>, required)
  - `id` (`listOrderRefunds.response.200.items.id`; string, required)
  - `order_id` (`listOrderRefunds.response.200.items.order_id`; string, required)
  - `amount` (`listOrderRefunds.response.200.items.amount`; number, required)
  - `currency` (`listOrderRefunds.response.200.items.currency`; string, required)
  - `reason` (`listOrderRefunds.response.200.items.reason`; any of, required)
    - any of: `string`, `null`
  - `occurred_at` (`listOrderRefunds.response.200.items.occurred_at`; any of, required)
    - any of: `string`, `null`
- `cursor` (`listOrderRefunds.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `currency` (`listOrderRefunds.response.200.currency`; string, required)
- `exponent` (`listOrderRefunds.response.200.exponent`; any of, required)
  - any of: `number`, `null`
- `total` (`listOrderRefunds.response.200.total`; number, optional)

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listOrderRefunds.response.default.type`; string, required)
  - format `uri`
- `title` (`listOrderRefunds.response.default.title`; string, required)
- `status` (`listOrderRefunds.response.default.status`; integer, required)
- `detail` (`listOrderRefunds.response.default.detail`; string, required)
- `code` (`listOrderRefunds.response.default.code`; string, optional)
- `context` (`listOrderRefunds.response.default.context`; object, optional)
- `reached_core` (`listOrderRefunds.response.default.reached_core`; boolean, optional)
- `core_answer` (`listOrderRefunds.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/list-order-refunds/index.md
